package rocks.zipcode.io.quiz4.fundamentals;


import com.sun.deploy.util.StringUtils;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author leon on 18/12/2018.
 */
public class PalindromeEvaluator {
    public static String[] getAllPalindromes(String string) {
        StringBuilder builder = new StringBuilder();
        Set<String> set = new HashSet<>();
        for (int i = 0; i < (string.length()/2) + 1; i++) {
            if (string.charAt(string.length() - 1 - i) == string.charAt(i)){
                builder.append(string.charAt(i) + ",");
                builder.append(string.substring(i, string.length()-i) + ",");
            }
        }

        String[] strSet = builder.toString().split(",");
        for (String s : strSet){
            set.add(s);
        }

        return set.toArray(new String[0]);
    }

    public static Boolean isPalindrome(String string) {
        string.toLowerCase();
        for (int i = 0; i < string.length()/2; i++) {
            if (string.charAt(string.length()-1 - i) != string.charAt(i)){
                return false;
            }

        }

        return true;
    }

    public static String reverseString(String string) {
        String newStr = "";
        for (int i = 1; i <= string.length(); i++){
            newStr += string.substring(string.length() - i , string.length() - i + 1);
        }
        return newStr;
    }
}
